rpicam-apps (1.7.0-1ubuntu3) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:09:41 +0200

rpicam-apps (1.7.0-1ubuntu2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 16:59:16 +0200

rpicam-apps (1.7.0-1ubuntu1) questing; urgency=medium

  * Merge with v1.7.0, Fix FTBFS with licamera0.5 (LP: #2109901)
    Remaining changes:
    - Update d/copyright
    - d/control: Disable building the following packages:
      + imx500-models: dependency imx500-firmware not in Ubuntu.
      + rpicam-apps-imx500-postprocess: dependency imx500-models not in Ubuntu.
      + rpicam-apps-hailo-postprocess: dependency hailort not in Ubuntu.
      + imx500-all: dependency rpicam-apps-imx500-postprocess not in Ubuntu.
      + libcamera-apps: unnecessary transitional package
      + libcamera-apps-lite: unnecessary transitional package
    - d/control:
      + Drop the following Build-Depends:
        - hailort
        - hailo-tappas-core
      + Fix the following Build-Depends:
        - libjpeg62-turbo-dev -> libjpeg-turbo8-dev
        - pkg-config -> pkgconf
        - debhelper 11 -> debhelper-compat 13
    - d/*.lintian-overrides: Suppress no-manual-page lintian warnings
    - Remove d/compat
  * Drop Changes:
    - d/p/0001-fix-libav-deprecated.patch: Fix deprecated struct field access
      (sample_fmts) in encoder/libav_encoder.cpp
      [Fixed in 1.7.0]
  * Added Changes:
    - Bump Standards-Version to 4.7.2
    - d/rules, d/control:
      + Allow IMX500 postprocessing and enable_opencv in CONFIG_FULL
      + Add libopencv-dev to Build-Depends in d/control
      + Remove Hailo postprocessing installation rules

 -- Pragyansh Chaturvedi <pragyansh.chaturvedi@canonical.com>  Fri, 20 Jun 2025 12:37:46 +0530

rpicam-apps (1.7.0-1) unstable; urgency=medium

  * New upstream version 1.7.0

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 30 Apr 2025 12:39:28 +0100

rpicam-apps (1.6.0-2) unstable; urgency=medium

  * Relax hailo version requirement

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 03 Feb 2025 16:18:22 +0000

rpicam-apps (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0
  * Update hailo-tappas-core version

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 27 Jan 2025 22:40:43 +0000

rpicam-apps (1.5.3-1ubuntu2) questing; urgency=medium

  * Rebuild against latest libcamera

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 03 May 2025 11:55:19 -0400

rpicam-apps (1.5.3-1ubuntu1) plucky; urgency=medium

  * Initial upload to Ubuntu (LP: #2020101)
  * Remove postprocessing and hailo packages as they are not supported by
    libcamera in Ubuntu yet
  * d/control: Disable building the following packages:
    - rpicam-apps-hailo-postprocess
    - rpicam-apps-imx500-postprocess
    - imx500-models
    - imx500-all
  * d/control: Drop the following build dependencies:
    - libopencv-dev
    - hailort
    - hailo-tappas-core
  * d/control: Fix the following build dependencies:
    - libjpeg62-turbo-dev -> libjpeg-turbo8-dev
    - pkg-config -> pkgconf
    - debhelper 11 -> debhelper-compat 13
    - Bump Standards-Version
    - Remove unnecessary transitional packages:
      + libcamera-apps
      + libcamera-apps-lite
  * d/rules: Remove support for hailo and imx500
    postprocessing
    - Disable enable_opencv, enable_imx500 and
      enable_hailo
    - Remove hailo and postprocessing related install
      overrides in override_dh_auto_install
  * d/copyright: Fix copyrights
  * Remove d/compat
  * d/p/0001-fix-libav-deprecated.patch: Fix deprecated
    struct field access (sample_fmts) in
    encoder/libav_encoder.cpp

 -- Pragyansh Chaturvedi <pragyansh.chaturvedi@canonical.com>  Tue, 01 Apr 2025 17:32:16 +0530

rpicam-apps (1.5.3-1) unstable; urgency=medium

  * d/watch: update to new filename format
  * New upstream version 1.5.3
  * Update hailo-tappas-core version
  * Add imx500-tools to imx500-all

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 13 Nov 2024 14:26:32 +0000

rpicam-apps (1.5.2-2) unstable; urgency=medium

  * Add imx500 support to armhf

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 03 Oct 2024 23:30:31 +0100

rpicam-apps (1.5.2-1) unstable; urgency=medium

  * New upstream version 1.5.2
  * d/gbp.conf: Add imx500-models component
  * Add rpicam-apps-imx500-postprocess and imx500-models packages
  * Add imx500-all
  * Move rpi-assets json files to postprocess packages
  * Pass --ignore-missing-info to dpkg-shlibdeps

 -- Serge Schneider <serge@raspberrypi.com>  Sat, 28 Sep 2024 14:59:15 +0100

rpicam-apps (1.5.1-1) unstable; urgency=medium

  * Update to hailo-tappas-core 3.29.1
  * New upstream version 1.5.1

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 05 Sep 2024 15:06:19 +0100

rpicam-apps (1.5.0-2) unstable; urgency=medium

  * Rebuild with libcamera 0.3 release

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 17 Jun 2024 12:47:17 +0100

rpicam-apps (1.5.0-1) unstable; urgency=medium

  * New upstream version 1.5.0
  * d/rules: switch from true/false to enabled/disabled
  * Enable OpenCV postprocessing in full build
  * Enable Hailo support
  * d/rules: fix clean target

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 31 May 2024 11:29:14 +0100

rpicam-apps (1.4.4-1) unstable; urgency=medium

  * New upstream version 1.4.4

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 18 Apr 2024 14:33:06 +0100

rpicam-apps (1.4.3-1) unstable; urgency=medium

  * New upstream version 1.4.3

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 16 Feb 2024 17:14:20 +0000

rpicam-apps (1.4.2-1) unstable; urgency=medium

  * New upstream version 1.4.2
  * d/w: fix match pattern

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 30 Jan 2024 13:23:20 +0000

rpicam-apps (1.4.1-1) unstable; urgency=medium

  * New upstream version 1.4.1
  * Rename package to rpicam-apps
  * d/c: add python3 dependency for camera-bug-report
  * d/watch: Use the Raspberry Pi Github releases
  * Remove ldconfig triggers

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 23 Nov 2023 15:35:54 +0000

libcamera-apps (1.2.2-1) unstable; urgency=medium

  * New upstream version 1.2.2

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 27 Sep 2023 13:32:26 +0100

libcamera-apps (1.2.1-1) unstable; urgency=medium

  * New upstream version 1.2.1
  * Switch to Meson

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 17 Jul 2023 08:21:25 +0100

libcamera-apps (0~git20230301+54a781d-1) unstable; urgency=medium

  * New upstream version 0~git20230301+54a781d

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 01 Mar 2023 15:55:49 +0000

libcamera-apps (0~git20230125+9f08463-1) unstable; urgency=medium

  * New upstream version 0~git20230125+9f08463

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 26 Jan 2023 16:18:56 +0000

libcamera-apps (0~git20230124+77a03d9-1) unstable; urgency=medium

  * New upstream version 0~git20230124+77a03d9

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 24 Jan 2023 15:28:23 +0000

libcamera-apps (0~git20230104+4fea2ee-1) unstable; urgency=medium

  * New upstream version 0~git20230104+4fea2ee

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 06 Jan 2023 01:41:00 +0000

libcamera-apps (0~git20221201+9c5d319-1) unstable; urgency=medium

  * New upstream version 0~git20221201+9c5d319

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 02 Dec 2022 19:46:52 +0000

libcamera-apps (0~git20221109+73ab09f-1) unstable; urgency=medium

  * New upstream version 0~git20221109+73ab09f

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 09 Nov 2022 14:19:35 +0000

libcamera-apps (0~git20221018+b89cc36-2) unstable; urgency=medium

  * Rebuild against a newer version of libcamera

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 19 Oct 2022 13:58:46 +0100

libcamera-apps (0~git20221018+b89cc36-1) unstable; urgency=medium

  * New upstream version 0~git20221018+b89cc36

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 18 Oct 2022 13:28:07 +0100

libcamera-apps (0~git20220830+1bf0cca-1) unstable; urgency=medium

  * New upstream version 0~git20220830+1bf0cca

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 31 Aug 2022 16:51:41 +0100

libcamera-apps (0~git20220707+35266e8-1) unstable; urgency=medium

  * New upstream version 0~git20220707+35266e8
  * Build libcamera-apps-lite without libav support

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 07 Jul 2022 18:47:37 +0100

libcamera-apps (0~git20220630+765bb46-2) unstable; urgency=medium

  * Add new build dependencies:
    - libavcodec-dev
    - libavdevice-dev
    - libavformat-dev
    - libswresample-dev

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 05 Jul 2022 14:42:11 +0100

libcamera-apps (0~git20220630+765bb46-1) unstable; urgency=medium

  * New upstream version 0~git20220630+765bb46

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 05 Jul 2022 11:12:03 +0100

libcamera-apps (0~git20220228+0dc5ea0-1) unstable; urgency=medium

  * New upstream version 0~git20220228+0dc5ea0

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 04 Mar 2022 10:10:33 +0000

libcamera-apps (0~git20220131+7ac5197-1) unstable; urgency=medium

  * New upstream version 0~git20220131+7ac5197

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 01 Feb 2022 14:06:22 +0000

libcamera-apps (0~git20220105+b9a6923-1) unstable; urgency=medium

  * New upstream version 0~git20220105+b9a6923

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 07 Jan 2022 11:15:07 +0000

libcamera-apps (0~git20211129+2e083a9-1) unstable; urgency=medium

  * New upstream version 0~git20211129+2e083a9

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 29 Nov 2021 13:49:05 +0000

libcamera-apps (0~git20211021+2a38ae9-1) unstable; urgency=medium

  * New upstream version 0~git20211021+2a38ae9
  * Remove git_hash

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 21 Oct 2021 15:33:56 +0100

libcamera-apps (0~git20211012+4bb06a1-1) unstable; urgency=medium

  * New upstream version 0~git20211012+4bb06a1
  * Add libcamera-apps-lite with X11 and Qt dependencies removed
  * Disable OpenCV support
  * Embed git sha1sum in binary version output
  * Force ldconfig trigger

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 14 Oct 2021 16:42:33 +0100

libcamera-apps (0~git20211001+c6f4a83-1) unstable; urgency=medium

  * New upstream version 0~git20211001+c6f4a83

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 01 Oct 2021 12:53:15 +0100

libcamera-apps (0~git20210915+4868f69-1) unstable; urgency=medium

  * New upstream version 0~git20210915+4868f69

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 15 Sep 2021 10:45:29 +0100

libcamera-apps (0~git20210909+cca297e-1) unstable; urgency=medium

  * New upstream version 0~git20210909+cca297e

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 09 Sep 2021 15:30:03 +0100

libcamera-apps (0~git20210908+f7d42ac-1) unstable; urgency=medium

  * New upstream version 0~git20210908+f7d42ac
  * Add libopencv-dev build dependency

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 09 Sep 2021 13:33:24 +0100

libcamera-apps (0~git20210824+b1d84d8-1) unstable; urgency=medium

  * Initial release

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 02 Sep 2021 15:41:30 +0100
